twitter4j

## Class OkHttpResponse

- java.lang.Object
- - twitter4j.HttpResponse
  - - twitter4j.OkHttpResponse

    public class OkHttpResponse
    extends HttpResponse

Since:
  Twitter4J 4.0.3
Author:
  Yuuto Uehara - muemi.himazin at gmail.com

### Constructor Summary

Constructors
Constructor and Description
`OkHttpResponse(okhttp3.Call call, okhttp3.OkHttpClient okHttpClient, HttpClientConfiguration conf)`
`OkHttpResponse(HttpClientConfiguration conf)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `disconnect()`
`okhttp3.Protocol` `getProtocol()`
`String` `getResponseHeader(String name)`
`Map<String,List<String>>` `getResponseHeaderFields()`

### Methods inherited from class twitter4j.HttpResponse

`asJSONArray, asJSONObject, asReader, asStream, asString, getStatusCode, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OkHttpResponse

    public OkHttpResponse(HttpClientConfiguration conf)

#### OkHttpResponse

    public OkHttpResponse(okhttp3.Call call,
                          okhttp3.OkHttpClient okHttpClient,
                          HttpClientConfiguration conf)
                   throws IOException

Throws:
  `IOException`

### Method Detail

#### getProtocol

    public okhttp3.Protocol getProtocol()

#### getResponseHeader

    public String getResponseHeader(String name)

Specified by:
  `getResponseHeader` in class `HttpResponse`

#### getResponseHeaderFields

    public Map<String,List<String>> getResponseHeaderFields()

Specified by:
  `getResponseHeaderFields` in class `HttpResponse`

#### disconnect

    public void disconnect()
                    throws IOException

Specified by:
  `disconnect` in class `HttpResponse`
Throws:
  `IOException`